#%define BuildRoot /tmp/%{name}-%{version}
%define __spec_install_post %{nil}

Summary: A web-based administration interface for Unix systems.
Name: webmin
Version: 1.130
Release: 1
Provides: %{name}-%{version}
PreReq: /bin/sh /usr/bin/perl
Requires: /bin/sh /usr/bin/perl
AutoReq: 0
Copyright: Freeware
Group: System/Tools
Source: http://www.webmin.com/download/%{name}-%{version}.tar.gz
Vendor: Jamie Cameron
BuildRoot: /tmp/%{name}-%{version}
BuildArchitectures: noarch
%description
A web-based administration interface for Unix systems. Using Webmin you can
configure DNS, Samba, NFS, local/remote filesystems and more using your
web browser.

After installation, enter the URL http://localhost:10000/ into your
browser and login as root with your root password.

%prep
%setup -q

%build
(find . -name '*.cgi' ; find . -name '*.pl') | perl perlpath.pl /usr/bin/perl -
rm -f mount/freebsd-mounts*
rm -f mount/openbsd-mounts*
rm -f mount/macos-mounts*
rm -f webmin-gentoo-init
chmod -R og-w .

%install
mkdir -p %{buildroot}/usr/libexec/webmin
mkdir -p %{buildroot}/etc/sysconfig/daemons
mkdir -p %{buildroot}/etc/rc.d/{rc0.d,rc1.d,rc2.d,rc3.d,rc5.d,rc6.d}
mkdir -p %{buildroot}/etc/init.d
mkdir -p %{buildroot}/etc/pam.d
cp -rp * %{buildroot}/usr/libexec/webmin
cp webmin-daemon %{buildroot}/etc/sysconfig/daemons/webmin
cp webmin-init %{buildroot}/etc/init.d/webmin
cp webmin-pam %{buildroot}/etc/pam.d/webmin
ln -s /etc/init.d/webmin %{buildroot}/etc/rc.d/rc2.d/S99webmin
ln -s /etc/init.d/webmin %{buildroot}/etc/rc.d/rc3.d/S99webmin
ln -s /etc/init.d/webmin %{buildroot}/etc/rc.d/rc5.d/S99webmin
ln -s /etc/init.d/webmin %{buildroot}/etc/rc.d/rc0.d/K10webmin
ln -s /etc/init.d/webmin %{buildroot}/etc/rc.d/rc1.d/K10webmin
ln -s /etc/init.d/webmin %{buildroot}/etc/rc.d/rc6.d/K10webmin
echo rpm >%{buildroot}/usr/libexec/webmin/install-type

%clean
#%{rmDESTDIR}
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/libexec/webmin
/etc/sysconfig/daemons/webmin
/etc/init.d/webmin
/etc/rc.d/rc2.d/S99webmin
/etc/rc.d/rc3.d/S99webmin
/etc/rc.d/rc5.d/S99webmin
/etc/rc.d/rc0.d/K10webmin
/etc/rc.d/rc1.d/K10webmin
/etc/rc.d/rc6.d/K10webmin
%config /etc/pam.d/webmin

%pre
grep -i openlinux /etc/.issue >/dev/null 2>&1
if [ -r /etc/webmin/config -a -r /var/log/webmin -a "$1" = 0 ]; then
	oldrpm=`rpm -q webmin 2>/dev/null`
	if [ "$oldrpm" != "" ]; then
		echo "The Caldera version of Webmin is currently installed on"
		echo "your system. You must remove it with the command"
		echo "   rpm -e webmin"
		echo "before installing this Webmin RPM."
		exit 1
	fi
fi
perl <<EOD;
# maketemp.pl
# Create the /tmp/.webmin directory if needed

\$tmp_dir = \$ENV{'tempdir'} || "/tmp/.webmin";

if (!-d \$tmp_dir) {
	mkdir(\$tmp_dir, 0755) || exit 1;
	}
chown(\$<, \$(, \$tmp_dir);
chmod(0755, \$tmp_dir);
@st = lstat(\$tmp_dir);
if (@st && \$st[4] == \$< && (-d _) &&
    (\$st[2] & 0777) == 0755) {
	exit 0;
	}
else {
	exit 1;
	}


EOD
if [ "$?" != "0" ]; then
	echo "Failed to create or check temp files directory /tmp/.webmin"
	exit 1
fi
perl >/tmp/.webmin/$$.check <<EOD;
if (-r "/etc/.issue") {
	\$etc_issue = \`cat /etc/.issue\`;
	}
elsif (-r "/etc/issue") {
	\$etc_issue = \`cat /etc/issue\`;
	}
\$uname = \`uname -a\`;
if (\$uname =~ /SunOS.*\\s5\\.5\\s/i) {
	print "oscheck='Sun Solaris 2.5'\\n";
	}
if (\$uname =~ /SunOS.*\\s5\\.5\\.1\\s/i) {
	print "oscheck='Sun Solaris 2.5.1'\\n";
	}
if (\$uname =~ /SunOS.*\\s5\\.6\\s/i) {
	print "oscheck='Sun Solaris 2.6'\\n";
	}
if (\$uname =~ /SunOS.*\\s5\\.7\\s/i) {
	print "oscheck='Sun Solaris 7'\\n";
	}
if (\$uname =~ /SunOS.*\\s5\\.8\\s/i) {
	print "oscheck='Sun Solaris 8'\\n";
	}
if (\$uname =~ /SunOS.*\\s5\\.9\\s/i) {
	print "oscheck='Sun Solaris 9'\\n";
	}
if (\$etc_issue =~ /OpenLinux.*eServer.*\\n.*\\s2\\.3\\s/i) {
	print "oscheck='Caldera OpenLinux eServer 2.3'\\n";
	}
if (\$etc_issue =~ /OpenLinux.*\\n.*\\s2\\.3\\s/i) {
	print "oscheck='Caldera OpenLinux 2.3'\\n";
	}
if (\$etc_issue =~ /OpenLinux.*\\n.*\\s2\\.4\\s/i) {
	print "oscheck='Caldera OpenLinux 2.4'\\n";
	}
if (\$etc_issue =~ /OpenLinux.*\\n.*\\s2\\.5\\s/i || \$etc_issue =~ /Caldera.*2000/i) {
	print "oscheck='Caldera OpenLinux 2.5'\\n";
	}
if (\$etc_issue =~ /OpenLinux.*3\\.1/i) {
	print "oscheck='Caldera OpenLinux 3.1'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s5\\.0/i) {
	print "oscheck='Redhat Linux 5.0'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s5\\.1/i) {
	print "oscheck='Redhat Linux 5.1'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s5\\.2/i) {
	print "oscheck='Redhat Linux 5.2'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s6\\.0/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /6\\.0/) {
	print "oscheck='Redhat Linux 6.0'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s6\\.1/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /6\\.1/) {
	print "oscheck='Redhat Linux 6.1'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s6\\.2/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /6\\.2/) {
	print "oscheck='Redhat Linux 6.2'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s7\\.0/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /7\\.0/) {
	print "oscheck='Redhat Linux 7.0'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s7\\.1/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /7\\.1/) {
	print "oscheck='Redhat Linux 7.1'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s7\\.2/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /7\\.2/) {
	print "oscheck='Redhat Linux 7.2'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s7\\.3\\s/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /7\\.3\\s/ || \$etc_issue =~ /VMware\\s+ESX\\s+Server\\s+2\\.0/i) {
	print "oscheck='Redhat Linux 7.3'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s8\\.0\\s/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /\\s8\\.0\\s/) {
	print "oscheck='Redhat Linux 8.0'\\n";
	}
if (\$etc_issue =~ /red\\s*hat.*\\s9(\\.0)?\\s/i || \`cat /etc/redhat-release 2>/dev/null\` =~ /red\\s*hat.*\\s9(\\.0)?\\s/i) {
	print "oscheck='Redhat Linux 9.0'\\n";
	}
if ( \$etc_issue =~ /red\\s*hat.*\\s10(\\.0)?\\s/i || \`cat /etc/redhat-release /etc/fedora-release 2>/dev/null\` =~ /red\\s*hat.*\\s10(\\.0)?\\s/i || \`cat /etc/redhat-release /etc/fedora-release 2>/dev/null\` =~ /Fedora.*\\s1\\s/i) {
	print "oscheck='Redhat Linux Fedora 1'\\n";
	}
if (\`cat /etc/redhat-release 2>/dev/null\` =~ /(Advanced\\s+Server.*2\\.1)|(AS.*2\\.1)/i) {
	print "oscheck='Redhat Linux 2.1AS'\\n";
	}
if (\`cat /etc/redhat-release 2>/dev/null\` =~ /ES.*2\\.1/) {
	print "oscheck='Redhat Linux 2.1ES'\\n";
	}
if (\`cat /etc/redhat-release 2>/dev/null\` =~ /WS.*2\\.1/) {
	print "oscheck='Redhat Linux 2.1WS'\\n";
	}
if (\`cat /etc/redhat-release 2>/dev/null\` =~ /(3\\.0AS)|(2\\.9\\.5AS)|(AS\\s+release\\s+3)/i) {
	print "oscheck='Redhat Linux 3.0AS'\\n";
	}
if (\`cat /etc/redhat-release 2>/dev/null\` =~ /ES\\s+release\\s+3/ || \`cat /etc/whitebox-release 2>/dev/null\` =~ /White\\s+Box\\s+Enterprise\\s+Linux\\s+release\\s+3/i) {
	print "oscheck='Redhat Linux 3.0ES'\\n";
	}
if (\`cat /etc/redhat-release 2>/dev/null\` =~ /WS\\s+release\\s+3/) {
	print "oscheck='Redhat Linux 3.0WS'\\n";
	}
if (\`cat /etc/slackware-version 2>/dev/null\` =~ /7\\.0/) {
	print "oscheck='Slackware Linux 7.0'\\n";
	}
if (\`cat /etc/slackware-version 2>/dev/null\` =~ /7\\.1/) {
	print "oscheck='Slackware Linux 7.1'\\n";
	}
if (\`cat /etc/slackware-version 2>/dev/null\` =~ /8\\.0/) {
	print "oscheck='Slackware Linux 8.0'\\n";
	}
if (\`cat /etc/slackware-version 2>/dev/null\` =~ /8\\.1/) {
	print "oscheck='Slackware Linux 8.1'\\n";
	}
if (\`cat /etc/slackware-version 2>/dev/null\` =~ /9\\.0/) {
	print "oscheck='Slackware Linux 9.0'\\n";
	}
if (\`cat /etc/slackware-version 2>/dev/null\` =~ /9\\.1/) {
	print "oscheck='Slackware Linux 9.1'\\n";
	}
if (\$etc_issue =~ /Debian.*\\s2\\.0\\s/i) {
	print "oscheck='Debian Linux 2.0'\\n";
	}
if (\$etc_issue =~ /Debian.*\\s2\\.1\\s/i) {
	print "oscheck='Debian Linux 2.1'\\n";
	}
if (\$etc_issue =~ /Debian.*\\s2\\.2\\s/i) {
	print "oscheck='Debian Linux 2.2'\\n";
	}
if (\$etc_issue =~ /Debian.*\\s3\\.0\\s/i) {
	print "oscheck='Debian Linux 3.0'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /6\\.0/ || \$etc_issue =~ /SuSE\\s+Linux\\s+6\\.0\\s/i) {
	print "oscheck='SuSE Linux 6.0'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /6\\.1/ || \$etc_issue =~ /SuSE\\s+Linux\\s+6\\.1\\s/i) {
	print "oscheck='SuSE Linux 6.1'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /6\\.2/ || \$etc_issue =~ /SuSE\\s+Linux\\s+6\\.2\\s/i) {
	print "oscheck='SuSE Linux 6.2'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /6\\.3/ || \$etc_issue =~ /SuSE\\s+Linux\\s+6\\.3\\s/i) {
	print "oscheck='SuSE Linux 6.3'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /6\\.4/ || \$etc_issue =~ /SuSE\\s+Linux\\s+6\\.4\\s/i) {
	print "oscheck='SuSE Linux 6.4'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /7\\.0/ || \$etc_issue =~ /SuSE\\s+Linux\\s+7\\.0\\s/i || \$etc_issue =~ /SuSE\\s+eMail\\s+Server/i || \$etc_issue =~ /SuSE\\s+SLES-7/i) {
	print "oscheck='SuSE Linux 7.0'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /7\\.1/ || \$etc_issue =~ /SuSE\\s+Linux\\s+7\\.1\\s/i) {
	print "oscheck='SuSE Linux 7.1'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /7\\.2/ || \$etc_issue =~ /SuSE\\s+Linux\\s+7\\.2\\s/i) {
	print "oscheck='SuSE Linux 7.2'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /7\\.3/ || \$etc_issue =~ /SuSE\\s+Linux\\s+7\\.3\\s/i) {
	print "oscheck='SuSE Linux 7.3'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /8\\.0/ || \$etc_issue =~ /SuSE\\s+Linux\\s+8\\.0\\s/i) {
	print "oscheck='SuSE Linux 8.0'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /8\\.1/ || \$etc_issue =~ /SuSE\\s+Linux\\s+8\\.1\\s/i) {
	print "oscheck='SuSE Linux 8.1'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /8\\.2/ || \$etc_issue =~ /SuSE\\s+Linux\\s+8\\.2\\s/i) {
	print "oscheck='SuSE Linux 8.2'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /9\\.0/ || \$etc_issue =~ /SuSE\\s+Linux\\s+9\\.0\\s/i) {
	print "oscheck='SuSE Linux 9.0'\\n";
	}
if (\`cat /etc/SuSE-release 2>/dev/null\` =~ /9\\.0/ || \$etc_issue =~ /SuSE\\s+Linux\\s+9\\.0\\s/i) {
	print "oscheck='SuSE Linux 9.1'\\n";
	}
if ( \`cat /etc/SLOX-release 2>/dev/null\` =~ /VERSION\\s+=\\s+4\\.0/i) {
	print "oscheck='SuSE Linux OpenExchange 4.0'\\n";
	}
if (\`cat /etc/UnitedLinux-release 2>/dev/null\` =~ /1\\.0/) {
	print "oscheck='United Linux 1.0'\\n";
	}
if (\$etc_issue =~ /Corel\\s+LINUX\\s+1\\.0/i) {
	print "oscheck='Corel Linux 1.0'\\n";
	}
if (\$etc_issue =~ /Corel\\s+LINUX\\s+1\\.1/i) {
	print "oscheck='Corel Linux 1.1'\\n";
	}
if (\$etc_issue =~ /Corel\\s+LINUX\\s+1\\.2/i) {
	print "oscheck='Corel Linux 1.2'\\n";
	}
if (\`cat /etc/turbolinux-release 2>/dev/null\` =~ /release\\s+4\\.0\\s+/i) {
	print "oscheck='TurboLinux 4.0'\\n";
	}
if (\`cat /etc/turbolinux-release 2>/dev/null\` =~ /release\\s+6\\.0\\s+/i || \`cat /etc/turbolinux-release 2>/dev/null\` =~ /release\\s+6\\s+advanced/i) {
	print "oscheck='TurboLinux 6.0'\\n";
	}
if (\`cat /etc/turbolinux-release 2>/dev/null\` =~ /release\\s+6\\.1\\s+/i) {
	print "oscheck='TurboLinux 6.1'\\n";
	}
if (\`cat /etc/turbolinux-release 2>/dev/null\` =~ /release\\s+6\\.5\\s+/i) {
	print "oscheck='TurboLinux 6.5'\\n";
	}
if (\`cat /etc/turbolinux-release 2>/dev/null\` =~ /7\\.0/i) {
	print "oscheck='TurboLinux 7.0'\\n";
	}
if (\$etc_issue =~ /Cobalt\\s+Linux\\s+release\\s+2.2/i || \`cat /etc/cobalt-release 2>/dev/null\` =~ /2\\.2/) {
	print "oscheck='Cobalt Linux 2.2'\\n";
	}
if (\$etc_issue =~ /Cobalt\\s+Linux\\s+release\\s+4.0/i || \`cat /etc/cobalt-release 2>/dev/null\` =~ /4\\.0/) {
	print "oscheck='Cobalt Linux 4.0'\\n";
	}
if (\$etc_issue =~ /Cobalt\\s+Linux\\s+release\\s+5.0/i || \`cat /etc/cobalt-release 2>/dev/null\` =~ /5\\.0/) {
	print "oscheck='Cobalt Linux 5.0'\\n";
	}
if (\$etc_issue =~ /Cobalt\\s+Linux\\s+release\\s+6.0/i || \`cat /etc/cobalt-release 2>/dev/null\` =~ /6\\.0/) {
	print "oscheck='Cobalt Linux 6.0'\\n";
	}
if (\`uname -r\` =~ /2.2.16/ && -r "/etc/cobalt-release") {
	print "oscheck='Cobalt Linux 6.4'\\n";
	}
if (\`cat /etc/cobalt-release 2>/dev/null\` =~ /7\\.0/) {
	print "oscheck='Cobalt Linux 7.0'\\n";
	}
if (\$etc_issue =~ /Mandrake\\s+release\\s+5\\.3/i) {
	print "oscheck='Mandrake Linux 5.3'\\n";
	}
if (\$etc_issue =~ /Mandrake\\s+release\\s+6\\.0/i) {
	print "oscheck='Mandrake Linux 6.0'\\n";
	}
if (\$etc_issue =~ /Mandrake\\s+release\\s+6\\.1/i) {
	print "oscheck='Mandrake Linux 6.1'\\n";
	}
if (\$etc_issue =~ /Mandrake\\s+release\\s+7\\.0/i) {
	print "oscheck='Mandrake Linux 7.0'\\n";
	}
if (\$etc_issue =~ /Mandrake\\s+release\\s+7\\.1/i) {
	print "oscheck='Mandrake Linux 7.1'\\n";
	}
if (\$etc_issue =~ /Mandrake\\s+release\\s+7\\.2/i) {
	print "oscheck='Mandrake Linux 7.2'\\n";
	}
if (\`cat /etc/mandrake-release 2>/dev/null\` =~ /8\\.0/ || \$etc_issue =~ /Mandrake\\s+release\\s+8\\.0/i) {
	print "oscheck='Mandrake Linux 8.0'\\n";
	}
if (\`cat /etc/mandrake-release 2>/dev/null\` =~ /8\\.1/ || \$etc_issue =~ /Mandrake\\s+Linux\\s+release\\s+8\\.1/i) {
	print "oscheck='Mandrake Linux 8.1'\\n";
	}
if (\`cat /etc/mandrake-release 2>/dev/null\` =~ /8\\.2/ || \$etc_issue =~ /Mandrake\\s+Linux\\s+release\\s+8\\.2/i) {
	print "oscheck='Mandrake Linux 8.2'\\n";
	}
if (\`cat /etc/mandrake-release 2>/dev/null\` =~ /9\\.0/ || \$etc_issue =~ /Mandrake\\s+Linux\\s+release\\s+9\\.0/i) {
	print "oscheck='Mandrake Linux 9.0'\\n";
	}
if (\`cat /etc/mandrake-release 2>/dev/null\` =~ /9\\.1/ || \$etc_issue =~ /Mandrake\\s+Linux\\s+release\\s+9\\.1/i) {
	print "oscheck='Mandrake Linux 9.1'\\n";
	}
if (\`cat /etc/mandrake-release 2>/dev/null\` =~ /9\\.2/ || \$etc_issue =~ /Mandrake\\s+Linux\\s+release\\s+9\\.2/i) {
	print "oscheck='Mandrake Linux 9.2'\\n";
	}
if (\$etc_issue =~ /Mandrake\\s+Corporate\\s+Server\\s+release\\s+1\\.0/i) {
	print "oscheck='Mandrake Linux Corporate Server 1.0'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*3\\.0/i) {
	print "oscheck='Conectiva Linux 3.0'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*4\\.0/i) {
	print "oscheck='Conectiva Linux 4.0'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*4\\.1/i) {
	print "oscheck='Conectiva Linux 4.1'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*4\\.2/i) {
	print "oscheck='Conectiva Linux 4.2'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*5\\.0/i) {
	print "oscheck='Conectiva Linux 5.0'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*5\\.1/i) {
	print "oscheck='Conectiva Linux 5.1'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*6\\.0/i) {
	print "oscheck='Conectiva Linux 6.0'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*7\\.0/i) {
	print "oscheck='Conectiva Linux 7.0'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*\\s8/i) {
	print "oscheck='Conectiva Linux 8'\\n";
	}
if (\$etc_issue =~ /Conectiva.*Linux.*\\s9/i) {
	print "oscheck='Conectiva Linux 9'\\n";
	}
if (\$etc_issue =~ /Thiz.*Linux.*\\s5\\.0/i) {
	print "oscheck='ThizLinux Desktop 5.0'\\n";
	}
if (\$etc_issue =~ /Thiz.*Linux.*\\s6\\.0/i) {
	print "oscheck='ThizLinux Desktop 6.0'\\n";
	}
if (\$etc_issue =~ /Thiz.*Linux.*\\s6\\.2/i) {
	print "oscheck='ThizLinux Desktop 6.2'\\n";
	}
if (\$etc_issue =~ /Thiz.*Linux.*\\s7\\.0/i) {
	print "oscheck='ThizLinux Desktop 7.0'\\n";
	}
if (\$etc_issue =~ /Thiz.*\\s?Server.*\\s4\\.3/i) {
	print "oscheck='ThizServer 4.3'\\n";
	}
if (\$etc_issue =~ /Thiz.*\\s?Server.*\\s6\\.0/i) {
	print "oscheck='ThizServer 6.0'\\n";
	}
if (\$etc_issue =~ /Thiz.*\\s?Server.*\\s7\\.0/i) {
	print "oscheck='ThizServer 7.0'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2001.*January/i || \$etc_issue =~ /2001.*January/i) {
	print "oscheck='MSC Linux January 2001'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2001.*February/i || \$etc_issue =~ /2001.*February/i) {
	print "oscheck='MSC Linux February 2001'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2001.*May/i || \$etc_issue =~ /2001.*May/i) {
	print "oscheck='MSC Linux May 2001'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2001.*June/i || \$etc_issue =~ /2001.*June/i) {
	print "oscheck='MSC Linux June 2001'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2001.*August/i || \$etc_issue =~ /2001.*August/i) {
	print "oscheck='MSC Linux August 2001'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2002.*February/i || \$etc_issue =~ /2002.*February/i) {
	print "oscheck='MSC Linux February 2002'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2002.*March/i || \$etc_issue =~ /2002.*March/i) {
	print "oscheck='MSC Linux March 2002'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2002.*May/i || \$etc_issue =~ /2002.*May/i) {
	print "oscheck='MSC Linux May 2002'\\n";
	}
if (\`cat /etc/msclinux-release 2>/dev/null\` =~ /2002.*July/i || \$etc_issue =~ /2002.*July/i) {
	print "oscheck='MSC Linux July 2002'\\n";
	}
if (\$etc_issue =~ /LinuxPPC\\s+2000/i) {
	print "oscheck='LinuxPPC 2000'\\n";
	}
if (\$etc_issue =~ /Trustix.*1\\.1/i) {
	print "oscheck='Trustix 1.1'\\n";
	}
if (\$etc_issue =~ /Trustix.*1\\.2/i) {
	print "oscheck='Trustix 1.2'\\n";
	}
if (\$etc_issue =~ /Trustix.*1\\.5/i) {
	print "oscheck='Trustix 1.5'\\n";
	}
if (\$etc_issue =~ /Trustix.*2\\.0/i || \$etc_issue =~ /Tawie\\s+Server\\s+Linux.*2\\.0/i) {
	print "oscheck='Trustix 2.0'\\n";
	}
if (\$etc_issue =~ /Cendio\\s*LBS.*\\s3\\.1/i || \`cat /etc/lbs-release 2>/dev/null\` =~ /3\\.1/) {
	print "oscheck='Cendio LBS Linux 3.1'\\n";
	}
if (\$etc_issue =~ /Cendio\\s*LBS.*\\s3\\.2/i || \`cat /etc/lbs-release 2>/dev/null\` =~ /3\\.2/) {
	print "oscheck='Cendio LBS Linux 3.2'\\n";
	}
if (\$etc_issue =~ /Cendio\\s*LBS.*\\s3\\.3/i || \`cat /etc/lbs-release 2>/dev/null\` =~ /3\\.3/) {
	print "oscheck='Cendio LBS Linux 3.3'\\n";
	}
if (\$etc_issue =~ /Cendio\\s*LBS.*\\s4\\.0/i || \`cat /etc/lbs-release 2>/dev/null\` =~ /4\\.0/) {
	print "oscheck='Cendio LBS Linux 4.0'\\n";
	}
if (\$etc_issue =~ /Cendio\\s*LBS.*\\s4\\.1/i || \`cat /etc/lbs-release 2>/dev/null\` =~ /4\\.1/) {
	print "oscheck='Cendio LBS Linux 4.1'\\n";
	}
if (\`cat /etc/ute-release 2>/dev/null\` =~ /Ute\\s+Linux\\s+release\\s+1\\.0/i) {
	print "oscheck='Ute Linux 1.0'\\n";
	}
if (\$etc_issue =~ /Lanthan\\s+Linux\\s+release\\s+1\\.0/i || \`cat /etc/lanthan-release 2>/dev/null\` =~ /1\\.0/) {
	print "oscheck='Lanthan Linux 1.0'\\n";
	}
if (\$etc_issue =~ /Lanthan\\s+Linux\\s+release\\s+2\\.0/i || \`cat /etc/lanthan-release 2>/dev/null\` =~ /2\\.0/) {
	print "oscheck='Lanthan Linux 2.0'\\n";
	}
if (\$etc_issue =~ /Lanthan\\s+Linux\\s+release\\s+3\\.0/i || \`cat /etc/lanthan-release 2>/dev/null\` =~ /3\\.0/) {
	print "oscheck='Lanthan Linux 3.0'\\n";
	}
if (\$etc_issue =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+2\\.0\\s+/i || \`cat /etc/yellowdog-release 2>/dev/null\` =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+2\\.0\\s+/i) {
	print "oscheck='Yellow Dog Linux 2.0'\\n";
	}
if (\$etc_issue =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+2\\.1\\s+/i || \`cat /etc/yellowdog-release 2>/dev/null\` =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+2\\.1\\s+/i) {
	print "oscheck='Yellow Dog Linux 2.1'\\n";
	}
if (\$etc_issue =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+2\\.2\\s+/i || \`cat /etc/yellowdog-release 2>/dev/null\` =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+2\\.2\\s+/i) {
	print "oscheck='Yellow Dog Linux 2.2'\\n";
	}
if (\$etc_issue =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+2\\.3\\s+/i || \`cat /etc/yellowdog-release 2>/dev/null\` =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+2\\.3\\s+/i) {
	print "oscheck='Yellow Dog Linux 2.3'\\n";
	}
if (\$etc_issue =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+3\\.0\\s+/i || \`cat /etc/yellowdog-release 2>/dev/null\` =~ /Yellow\\s+Dog\\s+Linux\\s+release\\s+3\\.0\\s+/i) {
	print "oscheck='Yellow Dog Linux 3.0'\\n";
	}
if (\`cat /etc/latinux-release 2>/dev/null\` =~ /Latinux\\s+8\\s/i) {
	print "oscheck='Corvus Latinux 8.0'\\n";
	}
if (\$etc_issue =~ /Immunix.*\\s6\\.2/i || \`cat /etc/immunix-release 2>/dev/null\` =~ /6\\.2/) {
	print "oscheck='Immunix Linux 6.2'\\n";
	}
if (\$etc_issue =~ /Immunix.*\\s7\\.0/i || \`cat /etc/immunix-release 2>/dev/null\` =~ /7\\.0/) {
	print "oscheck='Immunix Linux 7.0'\\n";
	}
if (-d "/usr/portage") {
	print "oscheck='Gentoo Linux Any version'\\n";
	}
if (\$etc_issue =~ /Lycoris Desktop/i) {
	print "oscheck='Lycoris Desktop/LX 1.0'\\n";
	}
if (\`cat /etc/securelinux-release 2>/dev/null\` =~ /SecureLinux.*1\\.0/i) {
	print "oscheck='Secure Linux 1.0'\\n";
	}
if (\`cat /etc/openna-release\` =~ /release\\s+1\\.0\\s/i) {
	print "oscheck='OpenNA Linux 1.0'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s2\\.1/i) {
	print "oscheck='FreeBSD 2.1'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s2\\.2/i) {
	print "oscheck='FreeBSD 2.2'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s3\\.0/i) {
	print "oscheck='FreeBSD 3.0'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s3\\.1/i) {
	print "oscheck='FreeBSD 3.1'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s3\\.2/i) {
	print "oscheck='FreeBSD 3.2'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s3\\.3/i) {
	print "oscheck='FreeBSD 3.3'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s3\\.4/i) {
	print "oscheck='FreeBSD 3.4'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s3\\.5/i) {
	print "oscheck='FreeBSD 3.5'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.0/i) {
	print "oscheck='FreeBSD 4.0'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.1/i) {
	print "oscheck='FreeBSD 4.1'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.2/i) {
	print "oscheck='FreeBSD 4.2'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.3/i) {
	print "oscheck='FreeBSD 4.3'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.4/i) {
	print "oscheck='FreeBSD 4.4'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.5/i) {
	print "oscheck='FreeBSD 4.5'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.6/i) {
	print "oscheck='FreeBSD 4.6'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.7/i) {
	print "oscheck='FreeBSD 4.7'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.8/i) {
	print "oscheck='FreeBSD 4.8'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s4\\.9/i) {
	print "oscheck='FreeBSD 4.9'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s5\\.0/i) {
	print "oscheck='FreeBSD 5.0'\\n";
	}
if (\$uname =~ /FreeBSD.*\\s5\\.1/i) {
	print "oscheck='FreeBSD 5.1'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s2\\.5/i) {
	print "oscheck='OpenBSD 2.5'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s2\\.6/i) {
	print "oscheck='OpenBSD 2.6'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s2\\.7/i) {
	print "oscheck='OpenBSD 2.7'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s2\\.8/i) {
	print "oscheck='OpenBSD 2.8'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s2\\.9/i) {
	print "oscheck='OpenBSD 2.9'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s3\\.0/i) {
	print "oscheck='OpenBSD 3.0'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s3\\.1/i) {
	print "oscheck='OpenBSD 3.1'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s3\\.2/i) {
	print "oscheck='OpenBSD 3.2'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s3\\.3/i) {
	print "oscheck='OpenBSD 3.3'\\n";
	}
if (\$uname =~ /OpenBSD.*\\s3\\.4/i) {
	print "oscheck='OpenBSD 3.4'\\n";
	}
if (\$uname =~ /NetBSD.*1\\.5/i) {
	print "oscheck='NetBSD 1.5'\\n";
	}
if (\$uname =~ /NetBSD.*1\\.6/i) {
	print "oscheck='NetBSD 1.6'\\n";
	}
if (\$uname =~ /HP-UX.*10\\.01/) {
	print "oscheck='HP/UX 10.01'\\n";
	}
if (\$uname =~ /HP-UX.*10\\.10/) {
	print "oscheck='HP/UX 10.10'\\n";
	}
if (\$uname =~ /HP-UX.*10\\.20/) {
	print "oscheck='HP/UX 10.20'\\n";
	}
if (\$uname =~ /HP-UX.*10\\.30/) {
	print "oscheck='HP/UX 10.30'\\n";
	}
if (\$uname =~ /HP-UX.*11\\./) {
	print "oscheck='HP/UX 11'\\n";
	}
if (\$uname =~ /IRIX.*6\\.0/i) {
	print "oscheck='SGI Irix 6.0'\\n";
	}
if (\$uname =~ /IRIX.*6\\.1/i) {
	print "oscheck='SGI Irix 6.1'\\n";
	}
if (\$uname =~ /IRIX.*6\\.2/i) {
	print "oscheck='SGI Irix 6.2'\\n";
	}
if (\$uname =~ /IRIX.*6\\.3/i) {
	print "oscheck='SGI Irix 6.3'\\n";
	}
if (\$uname =~ /IRIX.*6\\.4/i) {
	print "oscheck='SGI Irix 6.4'\\n";
	}
if (\$uname =~ /IRIX.*6\\.5/i) {
	print "oscheck='SGI Irix 6.5'\\n";
	}
if (\$uname =~ /OSF1.*4\\.0/) {
	print "oscheck='DEC/Compaq OSF/1 4.0'\\n";
	}
if (\$uname =~ /OSF1.*V5.1/) {
	print "oscheck='DEC/Compaq OSF/1 5.1'\\n";
	}
if (\$uname =~ /\\sAIX\\s+2\\s+4\\s+/i) {
	print "oscheck='IBM AIX 4.2'\\n";
	}
if (\$uname =~ /\\sAIX\\s+3\\s+4\\s+/i) {
	print "oscheck='IBM AIX 4.3'\\n";
	}
if (\$uname =~ /\\sAIX\\s+0\\s+5\\s+/i) {
	print "oscheck='IBM AIX 5.0'\\n";
	}
if (\$uname =~ /\\sAIX\\s+1\\s+5\\s+/i) {
	print "oscheck='IBM AIX 5.1'\\n";
	}
if (\$uname =~ /\\sAIX\\s+2\\s+5\\s+/i) {
	print "oscheck='IBM AIX 5.2'\\n";
	}
if (\$uname =~ /SCO_SV.*\\s5\\./i) {
	print "oscheck='SCO OpenServer 5'\\n";
	}
if (\`sw_vers 2>/dev/null\` =~ /ProductVersion:\\s+10\\.0/i) {
	print "oscheck='Mac OS X / OS X Server 10.0'\\n";
	}
if (\`sw_vers 2>/dev/null\` =~ /ProductVersion:\\s+10\\.1/i) {
	print "oscheck='Mac OS X / OS X Server 10.1'\\n";
	}
if (\`sw_vers 2>/dev/null\` =~ /ProductVersion:\\s+10\\.2/i) {
	print "oscheck='Mac OS X / OS X Server 10.2'\\n";
	}
if (\`sw_vers 2>/dev/null\` =~ /ProductVersion:\\s+10\\.3/i) {
	print "oscheck='Mac OS X / OS X Server 10.3'\\n";
	}

EOD
. /tmp/.webmin/$$.check
rm -f /tmp/.webmin/$$.check
if [ ! -r /etc/webmin/config ]; then
	if [ "$oscheck" = "" ]; then
		echo Unable to identify operating system
		exit 2
	fi
	echo Operating system is $oscheck
	if [ "$WEBMIN_PORT" != "" ]; then
		port=$WEBMIN_PORT
	else
		port=10000
	fi
	perl -e 'use Socket; socket(FOO, PF_INET, SOCK_STREAM, getprotobyname("tcp")); setsockopt(FOO, SOL_SOCKET, SO_REUSEADDR, pack("l", 1)); bind(FOO, pack_sockaddr_in($ARGV[0], INADDR_ANY)) || exit(1); exit(0);' $port
	if [ "$?" != "0" ]; then
		echo Port $port is already in use
		exit 2
	fi
fi

%post
inetd=`grep "^inetd=" /etc/webmin/miniserv.conf 2>/dev/null | sed -e 's/inetd=//g'`
if [ "$1" != 1 ]; then
	# Upgrading the RPM, so stop the old webmin properly
	if [ "$inetd" != "1" ]; then
		/etc/init.d/webmin stop >/dev/null 2>&1
	fi
fi
cd /usr/libexec/webmin
config_dir=/etc/webmin
var_dir=/var/webmin
perl=/usr/bin/perl
autoos=3
if [ "$WEBMIN_PORT" != "" ]; then
	port=$WEBMIN_PORT
else
	port=10000
fi
login=root
if [ -r /etc/shadow ]; then
	#crypt=`grep "^root:" /etc/shadow | cut -f 2 -d :`
	crypt=x
else
	crypt=`grep "^root:" /etc/passwd | cut -f 2 -d :`
fi
host=`hostname`
ssl=1
atboot=1
nochown=1
autothird=1
noperlpath=1
nouninstall=1
nostart=1
export config_dir var_dir perl autoos port login crypt host ssl nochown autothird noperlpath nouninstall nostart allow
./setup.sh >/tmp/.webmin/webmin-setup.out 2>&1
rm -f /var/lock/subsys/webmin
if [ "" != "1" ]; then
	/etc/init.d/webmin start >/dev/null 2>&1 </dev/null
fi
cat >/etc/webmin/uninstall.sh <<EOFF
#!/bin/sh
printf "Are you sure you want to uninstall Webmin? (y/n) : "
read answer
printf "\n"
if [ "\$answer" = "y" ]; then
	echo "Removing webmin RPM .."
	rpm -e --nodeps webmin
	echo "Done!"
fi
EOFF
chmod +x /etc/webmin/uninstall.sh
perl -e 'use Net::SSLeay' >/dev/null 2>/dev/null
if [ "$?" = "0" ]; then
	echo "Webmin install complete. You can now login to https://$host:$port/"
else
	echo "Webmin install complete. You can now login to http://$host:$port/"
fi
echo "as root with your root password."

%preun
if [ "$1" = 0 ]; then
	grep root=/usr/libexec/webmin /etc/webmin/miniserv.conf >/dev/null 2>&1
	if [ "$?" = 0 ]; then
		# RPM is being removed, and no new version of webmin
		# has taken it's place. Run uninstalls and stop the server
		echo "Running uninstall scripts .."
		(cd /usr/libexec/webmin ; WEBMIN_CONFIG=/etc/webmin WEBMIN_VAR=/var/webmin LANG= /usr/libexec/webmin/run-uninstalls.pl)
		/etc/init.d/webmin stop >/dev/null 2>&1
		/bin/true
	fi
fi

%postun
if [ "$1" = 0 ]; then
	grep root=/usr/libexec/webmin /etc/webmin/miniserv.conf >/dev/null 2>&1
	if [ "$?" = 0 ]; then
		# RPM is being removed, and no new version of webmin
		# has taken it's place. Delete the config files
		rm -rf /etc/webmin /var/webmin
	fi
fi

